Bug 2002697 - Getting undefined error on create local volume set page
Summary: Getting undefined error on create local volume set page
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Console Storage Plugin
Version: 4.10
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: ---
: 4.9.z
Assignee: afrahman
QA Contact: Mugdha Soni
URL:
Whiteboard:
Depends On: 2002443
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-09-09 14:11 UTC by OpenShift BugZilla Robot
Modified: 2021-11-01 13:44 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-11-01 13:44:33 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 10037 0 None None None 2021-09-09 14:11:24 UTC
Red Hat Product Errata RHBA-2021:4005 0 None None None 2021-11-01 13:44:47 UTC

Comment 7 Oded 2021-10-28 14:31:59 UTC
Bug Fixed, Create local volume set page does not return error 

SetUp:
Provider: Vmware
OCP Version: 4.9.0-0.nightly-2021-10-27-091730
ODF Version: 4.9.0-204.ci
LSO Version: 4.9.0-202110182323

Test procedure:
1.Install OCP:
OCP Version: 4.9.0-0.nightly-2021-10-27-091730

2.Install LSO:
LSO Version: 4.9.0-202110182323

3.Install ODF Operator:
ODF Version: 4.9.0-204.ci

4.Add disks to worker nodes via vcenter

5.Install storage system:

6.Get storagecluster status:
$ oc get storagecluster
NAME                 AGE    PHASE   EXTERNAL   CREATED AT             VERSION
ocs-storagecluster   5m5s   Ready              2021-10-27T18:54:28Z   4.9.0


for more details:
https://docs.google.com/document/d/1BAHljbumTRW0Q9dLzJTfnpNfLS6Ken_L_dpQCQx5-_Q/edit

Comment 8 Mugdha Soni 2021-10-28 16:39:03 UTC
Hi 

Cluster details:-

ODF version :- 4.9.0-201.ci
OCP version:-  4.10.0-0.nightly-2021-10-25-190146

Steps performed for validation of fix :-

1. Deployed LSO Cluster and installed local operator .
2. Installed the ODF operator and created storage cluster using local volume .
3. Storage cluster was created successfully .

[root@localhost lso-2]# oc get storagecluster
NAME                 AGE     PHASE   EXTERNAL   CREATED AT             VERSION
ocs-storagecluster   4m46s   Ready              2021-10-28T16:28:55Z   4.9.0

========================================================================================

[root@localhost lso-2]# oc describe storagecluster -n openshift-storage
Name:         ocs-storagecluster
Namespace:    openshift-storage
Labels:       <none>
Annotations:  cluster.ocs.openshift.io/local-devices: true
              storagesystem.odf.openshift.io/watched-by: ocs-storagecluster-storagesystem
              uninstall.ocs.openshift.io/cleanup-policy: delete
              uninstall.ocs.openshift.io/mode: graceful
API Version:  ocs.openshift.io/v1
Kind:         StorageCluster
Metadata:
  Creation Timestamp:  2021-10-28T16:28:55Z
  Finalizers:
    storagecluster.ocs.openshift.io
  Generation:  3
  Managed Fields:
    API Version:  ocs.openshift.io/v1
    Fields Type:  FieldsV1
    fieldsV1:
      f:metadata:
        f:annotations:
          .:
          f:cluster.ocs.openshift.io/local-devices:
      f:spec:
        .:
        f:arbiter:
        f:encryption:
          .:
          f:kms:
        f:flexibleScaling:
        f:monDataDirHostPath:
        f:nodeTopologies:
    Manager:      Mozilla
    Operation:    Update
    Time:         2021-10-28T16:28:55Z
    API Version:  ocs.openshift.io/v1
    Fields Type:  FieldsV1
    fieldsV1:
      f:metadata:
        f:annotations:
          f:storagesystem.odf.openshift.io/watched-by:
      f:spec:
        f:externalStorage:
        f:managedResources:
          .:
          f:cephBlockPools:
          f:cephConfig:
          f:cephDashboard:
          f:cephFilesystems:
          f:cephObjectStoreUsers:
          f:cephObjectStores:
        f:storageDeviceSets:
    Manager:      manager
    Operation:    Update
    Time:         2021-10-28T16:28:55Z
    API Version:  ocs.openshift.io/v1
    Fields Type:  FieldsV1
    fieldsV1:
      f:metadata:
        f:annotations:
          f:uninstall.ocs.openshift.io/cleanup-policy:
          f:uninstall.ocs.openshift.io/mode:
        f:finalizers:
          .:
          v:"storagecluster.ocs.openshift.io":
      f:spec:
        f:managedResources:
          f:cephCluster:
        f:mirroring:
        f:version:
    Manager:      ocs-operator
    Operation:    Update
    Time:         2021-10-28T16:28:55Z
    API Version:  ocs.openshift.io/v1
    Fields Type:  FieldsV1
    fieldsV1:
      f:status:
        .:
        f:conditions:
        f:failureDomain:
        f:failureDomainKey:
        f:failureDomainValues:
        f:images:
          .:
          f:ceph:
            .:
            f:actualImage:
            f:desiredImage:
          f:noobaaCore:
            .:
            f:actualImage:
            f:desiredImage:
          f:noobaaDB:
            .:
            f:actualImage:
            f:desiredImage:
        f:nodeTopologies:
          .:
          f:labels:
            .:
            f:kubernetes.io/hostname:
        f:phase:
        f:relatedObjects:
    Manager:         ocs-operator
    Operation:       Update
    Subresource:     status
    Time:            2021-10-28T16:31:11Z
  Resource Version:  66712
  UID:               58f9d50f-af43-48df-bdd7-61b6c1008494
Spec:
  Arbiter:
  Encryption:
    Kms:
  External Storage:
  Flexible Scaling:  true
  Managed Resources:
    Ceph Block Pools:
    Ceph Cluster:
    Ceph Config:
    Ceph Dashboard:
    Ceph Filesystems:
    Ceph Object Store Users:
    Ceph Object Stores:
  Mirroring:
  Mon Data Dir Host Path:  /var/lib/rook
  Node Topologies:
  Storage Device Sets:
    Config:
    Count:  3
    Data PVC Template:
      Metadata:
      Spec:
        Access Modes:
          ReadWriteOnce
        Resources:
          Requests:
            Storage:         1
        Storage Class Name:  localblock
        Volume Mode:         Block
      Status:
    Name:  ocs-deviceset-localblock
    Placement:
    Prepare Placement:
    Replica:  1
    Resources:
  Version:  4.9.0
Status:
  Conditions:
    Last Heartbeat Time:   2021-10-28T16:34:04Z
    Last Transition Time:  2021-10-28T16:31:10Z
    Message:               Reconcile completed successfully
    Reason:                ReconcileCompleted
    Status:                True
    Type:                  ReconcileComplete
    Last Heartbeat Time:   2021-10-28T16:34:04Z
    Last Transition Time:  2021-10-28T16:33:16Z
    Message:               Reconcile completed successfully
    Reason:                ReconcileCompleted
    Status:                True
    Type:                  Available
    Last Heartbeat Time:   2021-10-28T16:34:04Z
    Last Transition Time:  2021-10-28T16:33:16Z
    Message:               Reconcile completed successfully
    Reason:                ReconcileCompleted
    Status:                False
    Type:                  Progressing
    Last Heartbeat Time:   2021-10-28T16:34:04Z
    Last Transition Time:  2021-10-28T16:28:55Z
    Message:               Reconcile completed successfully
    Reason:                ReconcileCompleted
    Status:                False
    Type:                  Degraded
    Last Heartbeat Time:   2021-10-28T16:34:04Z
    Last Transition Time:  2021-10-28T16:33:16Z
    Message:               Reconcile completed successfully
    Reason:                ReconcileCompleted
    Status:                True
    Type:                  Upgradeable
  Failure Domain:          host
  Failure Domain Key:      kubernetes.io/hostname
  Failure Domain Values:
    compute-0
    compute-1
    compute-2
  Images:
    Ceph:
      Actual Image:   quay.io/rhceph-dev/rhceph@sha256:b5ff930b8b35b4ac002f0f34b4be112b3a433b5615f2ea65402a54a84b6edadb
      Desired Image:  quay.io/rhceph-dev/rhceph@sha256:b5ff930b8b35b4ac002f0f34b4be112b3a433b5615f2ea65402a54a84b6edadb
    Noobaa Core:
      Actual Image:   quay.io/rhceph-dev/mcg-core@sha256:1921be9fe9fc14eb541cfaa141b5bf50c64bd428c551dcc7bbf4059dba183b42
      Desired Image:  quay.io/rhceph-dev/mcg-core@sha256:1921be9fe9fc14eb541cfaa141b5bf50c64bd428c551dcc7bbf4059dba183b42
    Noobaa DB:
      Actual Image:   registry.redhat.io/rhel8/postgresql-12@sha256:1b91c9946f4351bd3688bc538d498e6738cd8a5285af998be6e8dfe218dca6fa
      Desired Image:  registry.redhat.io/rhel8/postgresql-12@sha256:1b91c9946f4351bd3688bc538d498e6738cd8a5285af998be6e8dfe218dca6fa
  Node Topologies:
    Labels:
      kubernetes.io/hostname:
        compute-0
        compute-1
        compute-2
  Phase:  Ready
  Related Objects:
    API Version:       ceph.rook.io/v1
    Kind:              CephCluster
    Name:              ocs-storagecluster-cephcluster
    Namespace:         openshift-storage
    Resource Version:  66447
    UID:               0fb6c892-123c-4d04-b333-8a9e434e33da
    API Version:       noobaa.io/v1alpha1
    Kind:              NooBaa
    Name:              noobaa
    Namespace:         openshift-storage
    Resource Version:  66710
    UID:               c03730ee-43eb-483e-8dcc-e63c6795e6a2
Events:                <none>
 
There was no error encountered during the creation of storage cluster using local volume and it completed successfully .

Thanks
Mugdha Soni

Comment 10 errata-xmlrpc 2021-11-01 13:44:33 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.9.5 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2021:4005


Note You need to log in before you can comment on or make changes to this bug.